org.aspectj.lang.reflect

## Interface InitializerSignature

All Superinterfaces:
  CodeSignature, MemberSignature, Signature

    public interface InitializerSignature
    extends CodeSignature

Signature for static and instance initializers. Static initializers have no parameters or exceptions, so empty arrays are returned from the CodeSignature methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`Constructor` `getInitializer()`

### Methods inherited from interface org.aspectj.lang.reflect.CodeSignature

`getExceptionTypes, getParameterNames, getParameterTypes`

### Methods inherited from interface org.aspectj.lang.Signature

`getDeclaringType, getDeclaringTypeName, getModifiers, getName, toLongString, toShortString, toString`

### Method Detail

#### getInitializer

    Constructor getInitializer()

Returns:
  Constructor associated with this initializer, or null in the case of interface initializers and static initializers.